Approve a pending teammate share for delivery to recipient devices.
POST
/v1/inbox/pending/{id}/approve
const url = 'https://api.share2.us/v1/inbox/pending/example/approve';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.share2.us/v1/inbox/pending/example/approve \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”Pending share approved.
Media typeapplication/json
object
status
required
string
Example
{ "status": "ok"}default
Section titled “default”Standard error envelope.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "quota_exceeded" }}